> # NAME

> exp2 - returns the base-2 exponential of scalars and vectors

> # SYNOPSIS

>       float  exp2(float a);
>       float1 exp2(float1 a);
>       float2 exp2(float2 a);
>       float3 exp2(float3 a);
>       float4 exp2(float4 a);

>       half   exp2(half a);
>       half1  exp2(half1 a);
>       half2  exp2(half2 a);
>       half3  exp2(half3 a);
>       half4  exp2(half4 a);

>       fixed  exp2(fixed a);
>       fixed1 exp2(fixed1 a);
>       fixed2 exp2(fixed2 a);
>       fixed3 exp2(fixed3 a);
>       fixed4 exp2(fixed4 a);

> # PARAMETERS

> a

>   Vector or scalar of which to determine the base-2 exponential.

> # DESCRIPTION

> Returns the base-2 exponential a.

> For vectors, the returned vector contains the base-2 exponential of each element of the input vector.

> # REFERENCE IMPLEMENTATION

>       float3 exp2(float3 a)
>       {
>         float3 rv;
>         int i;

>         for (i=0; i<3; i++) {
>           rv[i] = exp2(a[i]);  // this is the ANSI C standard library exp2()
>         }
>         return rv;
>       }

> exp2 is typically implemented with a native base-2 exponentional instruction.

> # PROFILE SUPPORT

> exp2 is fully supported in all profiles unless otherwise specified.

> Support in the fp20 is limited to constant compile-time evaluation.

> # SEE ALSO

> exp, log, pow